> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://nemo-platform.docs.buildwithfern.com/nemo/platform/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://nemo-platform.docs.buildwithfern.com/nemo/platform/_mcp/server.

# Update Job Step Task

PUT https://host.com/apis/jobs/v2/workspaces/{workspace}/jobs/{job}/steps/{step}/tasks/{name}
Content-Type: application/json

Update a job step task.

Reference: https://nemo-platform.docs.buildwithfern.com/nemo/platform/nemo/platform/documentation/reference/api-reference/jobs/update-job-step-task-apis-jobs-v-2-workspaces-workspace-jobs-job-steps-step-tasks-name-put

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Nemo Platform API
  version: 1.0.0
paths:
  /apis/jobs/v2/workspaces/{workspace}/jobs/{job}/steps/{step}/tasks/{name}:
    put:
      operationId: >-
        update-job-step-task-apis-jobs-v-2-workspaces-workspace-jobs-job-steps-step-tasks-name-put
      summary: Update Job Step Task
      description: Update a job step task.
      tags:
        - subpackage_jobs
      parameters:
        - name: job
          in: path
          required: true
          schema:
            type: string
        - name: step
          in: path
          required: true
          schema:
            type: string
        - name: name
          in: path
          required: true
          schema:
            type: string
        - name: workspace
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PlatformJobTask'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                description: Any type
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PlatformJobTaskUpdate'
servers:
  - url: https://host.com
    description: Default
components:
  schemas:
    PlatformJobStatus:
      type: string
      enum:
        - created
        - pending
        - active
        - cancelled
        - cancelling
        - error
        - completed
        - paused
        - pausing
        - resuming
      description: >-
        Enumeration of possible job statuses.


        This enum represents the various states a job can be in during its
        lifecycle,

        from creation to a terminal state.
      title: PlatformJobStatus
    PlatformJobTaskUpdate:
      type: object
      properties:
        status:
          $ref: '#/components/schemas/PlatformJobStatus'
          default: pending
        status_details:
          type: object
          additionalProperties:
            description: Any type
        error_details:
          type: object
          additionalProperties:
            description: Any type
        error_stack:
          type: string
      description: Request model for updating a platform job task.
      title: PlatformJobTaskUpdate
    PlatformJobTask:
      type: object
      properties:
        name:
          type: string
          default: ''
          description: Entity name within the workspace
        workspace:
          type: string
          description: Workspace identifier
        project:
          type: string
          description: The name of the project associated with this entity.
        step_id:
          type: string
          description: Parent step ID
        status:
          $ref: '#/components/schemas/PlatformJobStatus'
          default: pending
          description: Task status
        status_details:
          type: object
          additionalProperties:
            description: Any type
          description: Details about the task status
        error_details:
          type: object
          additionalProperties:
            description: Any type
          description: Details about task errors
        error_stack:
          type: string
          description: Error stack trace if applicable
        id:
          type: string
        created_at:
          type: string
          format: date-time
        created_by:
          type:
            - string
            - 'null'
        updated_at:
          type: string
          format: date-time
        updated_by:
          type:
            - string
            - 'null'
        entity_id:
          type: string
          description: Alias for id for backwards compatibility.
        parent:
          type: string
          description: Parent entity ID for nested entities.
      required:
        - workspace
        - step_id
        - id
        - created_at
        - created_by
        - updated_at
        - updated_by
        - entity_id
        - parent
      description: |-
        A task within a step (for parallel execution).

        Parent-scoped: unique within (workspace, entity_type, parent=step_id).
      title: PlatformJobTask
    ValidationErrorLocItems:
      oneOf:
        - type: string
        - type: integer
      title: ValidationErrorLocItems
    ValidationError:
      type: object
      properties:
        loc:
          type: array
          items:
            $ref: '#/components/schemas/ValidationErrorLocItems'
        msg:
          type: string
        type:
          type: string
        input:
          description: Any type
        ctx:
          type: object
          additionalProperties:
            description: Any type
      required:
        - loc
        - msg
        - type
      title: ValidationError
    HTTPValidationError:
      type: object
      properties:
        detail:
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
      title: HTTPValidationError

```

## Examples



**Request**

```json
{}
```

**Response**

```json
{
  "workspace": "analytics_team",
  "step_id": "step-42",
  "id": "a1b2c3d4-e5f6-7890-ab12-cd34ef567890",
  "created_at": "2024-01-15T09:30:00Z",
  "created_by": "jane.doe@example.com",
  "updated_at": "2024-01-15T09:30:00Z",
  "updated_by": "jane.doe@example.com",
  "entity_id": "a1b2c3d4-e5f6-7890-ab12-cd34ef567890",
  "parent": "step-42",
  "name": "data-processing-task",
  "project": "customer_segmentation",
  "status": "created",
  "status_details": {},
  "error_details": {},
  "error_stack": ""
}
```

**SDK Code**

```python
import requests

url = "https://host.com/apis/jobs/v2/workspaces/workspace/jobs/job/steps/step/tasks/name"

payload = {}
headers = {"Content-Type": "application/json"}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://host.com/apis/jobs/v2/workspaces/workspace/jobs/job/steps/step/tasks/name';
const options = {method: 'PUT', headers: {'Content-Type': 'application/json'}, body: '{}'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://host.com/apis/jobs/v2/workspaces/workspace/jobs/job/steps/step/tasks/name"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://host.com/apis/jobs/v2/workspaces/workspace/jobs/job/steps/step/tasks/name")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://host.com/apis/jobs/v2/workspaces/workspace/jobs/job/steps/step/tasks/name")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://host.com/apis/jobs/v2/workspaces/workspace/jobs/job/steps/step/tasks/name', [
  'body' => '{}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://host.com/apis/jobs/v2/workspaces/workspace/jobs/job/steps/step/tasks/name");
var request = new RestRequest(Method.PUT);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://host.com/apis/jobs/v2/workspaces/workspace/jobs/job/steps/step/tasks/name")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```